%define pypi_name pytest

Name:           python-%{pypi_name}
Version:        6.2.5
Release:        %mkrel 1
Summary:        Simple powerful testing with Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pytest
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-argcomplete
BuildRequires:  python3-atomicwrites
BuildRequires:  python3-decorator
BuildRequires:  python3-hypothesis
BuildRequires:  python3-iniconfig
BuildRequires:  python3-jinja2
BuildRequires:  python3-mock
BuildRequires:  python3-more-itertools
BuildRequires:  python3-nose
BuildRequires:  python3-numpy
BuildRequires:  python3-pluggy
BuildRequires:  python3-py
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools-scm
BuildRequires:  python3-toml
BuildRequires:  python3-twisted

%description
py.test provides simple, yet powerful testing for Python.

%package -n python3-%{pypi_name}
Summary:        Simple powerful testing with Python 3
Group:          Development/Python
Requires:       python3-setuptools
Requires:       python3-py
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       python3-test = %{version}-%{release}

%description -n python3-%{pypi_name}
py.test provides simple, yet powerful testing for Python 3.

%prep
%setup -qn %{pypi_name}-%{version}

# allow pluggy 1.0
perl -pi -e 's/(pluggy.*)<.*/$1<2.0/' setup.cfg

%build
%py3_build

%install
%py3_install
ln -snf pytest %{buildroot}%{_bindir}/pytest-3
ln -snf pytest %{buildroot}%{_bindir}/pytest-%{python3_version}
ln -snf py.test %{buildroot}%{_bindir}/py.test-3
ln -snf py.test %{buildroot}%{_bindir}/py.test-%{python3_version}

# remove shebangs from all scripts
find %{buildroot}%{python3_sitelib} \
     -name '*.py' \
     -exec sed -i -e '1{/^#!/d}' {} \;

%files -n python3-%{pypi_name}
%doc LICENSE
%{_bindir}/pytest
%{_bindir}/pytest-3
%{_bindir}/pytest-%{python3_version}
%{_bindir}/py.test
%{_bindir}/py.test-3
%{_bindir}/py.test-%{python3_version}
%{python3_sitelib}/*

%changelog
* Sat Aug 20 2022 TerryN <terryn94 at gmail.com> 6.2.5-1pclos2022
- import for python 3.10
